/**本脚本为自动生成，每次生成会覆盖！请勿手动修改，生成插件文档及项目地址：https://git.whoot.com/whoot-games/whoot.fguieditorplugin**/

using FairyGUI;
using FairyGUI.Utils;
using NBC;
using System.Collections.Generic;

namespace NBF
{
    /// <summary>  </summary>
    public partial class LoadingPanel
    {
        public GObject this[string aKey] => ContentPane.GetChild(aKey);
        public override string UIPackName => "Load";
        public override string UIResName => "LoadingPanel";

        [AutoFind(Name = "back")]
        public GLoader back;
        [AutoFind(Name = "Progress")]
        public GProgressBar Progress;
        [AutoFind(Name = "TextLoading")]
        public GTextField TextLoading;
        public override string[] GetDependPackages(){ return new string[] {}; }

        public static void Show(object param = null){ UI.Inst.OpenUI<LoadingPanel>(param); }

        public static void Hide(){ UI.Inst.HideUI<LoadingPanel>(); }

        public static void Del(){ UI.Inst.DestroyUI<LoadingPanel>(); }

    }
}